package com.ruoyi.project.business.mapper.flow;

import com.ruoyi.project.business.domain.flow.FlowTask;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author generator
 * @date 2021-09-28
 */
public interface FlowTaskMapper {

    void saveBatch(List<FlowTask> flowTaskList);

    List<FlowTask> getFlowTasks(@Param("flowId") Long flowId);

    List<FlowTask> getHistoryFlowTasks(@Param("flowIds") List<Long> flowIds);

    FlowTask getFlowTask(@Param("flowId") Long flowId, @Param("nodeId") String nodeId);

    void updateStatus(@Param("param") FlowTask flowTask);

    void updateNextTasks(@Param("param") FlowTask flowTask);

    FlowTask getNext(@Param("flowId") Long flowId, @Param("nodeId") String nodeId);

    List<FlowTask> getFLowTasksByFlowId(@Param("flowId") Long flowId);

    FlowTask getById(@Param("id") Long id);
}